use ap;
CREATE OR REPLACE VIEW unpaid_invoice_balances_by_vendor_view AS
    SELECT 
        vendor_name,
        SUM(invoice_total - payment_total - credit_total) AS vendor_total_balance_due
    FROM
        vendors v
            JOIN
        invoices i ON v.vendor_id = i.vendor_id
    WHERE
        invoice_total - payment_total - credit_total > 0
    GROUP BY vendor_name;